Subject: Re: bug#52173: `ś' character not available using `C-x 8'

From: Robert Pluim <[email-masked]>
Date: Mon, 29 Nov 2021 10:30:10 +0100

>>>>> On Mon, 29 Nov 2021 04:08:54 +0100, Tor Kringeland <[email-masked]> said:

    Tor> `ś' is a character used in /e.g./ Polish.  Currently `C-x 8 ' s' is not
    Tor> bound.  Could this be added (along with the capitalized variant)?

I think you'd be better off using one of the two Polish input methods,
theyʼre far more ergonomic than C-x 8

If youʼre already using a different input method, you can extend it
with bindings for the Polish characters youʼre interested in, eg

(with-temp-buffer
  (activate-input-method "latin-prefix") ;; the input method has to be triggered for `quail-package-alist' to be non-nil
  (let ((quail-current-package (assoc "latin-prefix" quail-package-alist)))
   (quail-define-rules ((append . t))
                       ("'s" ?ś))))

Robert
--